On Fri, 02 Mar 2012 21:01:57 +0100, Samuel Lidén Borell wrote:

> Package: josm
> Version: 0.0.svn4878+dfsg1-1
> Severity: important
> 
> Hi,

Hello,

> I think I've found a bug with your wrapper script for JOSM. It says "No valid
> JVM found" when only openjdk-7 is installed. The script appears to only
> checks for openjdk-6 and then fall back to Sun Java.
> 
> It does work fine with OpenJDK 7, though, if you start it with "JAVACMD=java
> jsom" (features I tested: install Building plugin, use Bing background,
> download/upload data)

Would you please try editing the wrapper script, line 13, so that instead of
"openjdk-6-jre" it reads "openjdk-*-jre"? Does it work afterwards?

Thanks,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174

Attachment: signature.asc
Description: PGP signature

_______________________________________________
Pkg-osm-maint mailing list
Pkg-osm-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-osm-maint

Reply via email to